<h1>
  Ofertas por fiestas patrias --{{name}}--
</h1>
<div *ngIf="pageState === states.LOADING">
  CARGANDO... 
</div>
<div *ngIf="pageState === states.ERROR">
  Oh! no! algo salió mal.
  <br>
  Estamos trabajando para solucionarlo.
  por favor intente nuevamente en unos minutos.
</div>
<section *ngIf="pageState === states.SUCCESS">
  <div class="product-container">
    <ng-template ngFor let-product [ngForOf]="products">
      <ui-product-card [product]="product" ></ui-product-card>
    </ng-template>
  </div>
</section>